Skip to main content
PATCH
/
api
/
v1
/
appointments
/
{appointment}
Error
A valid request URL is required to generate request examples
{
  "data": {
    "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
    "reference": 123456789,
    "appointment_at": "2021-01-01T00:00:00.000Z",
    "duration_in_minutes": 60,
    "is_interpreter_needed": true,
    "interpreter_language": "English",
    "status": "scheduled",
    "url": "https://example.com/appointments/123456789",
    "created_at": "2021-01-01T00:00:00.000Z",
    "cancelled_at": "2021-01-01T00:00:00.000Z",
    "cancellation_reason": "The appointment was cancelled because...",
    "department": {
      "id": 1,
      "name": "Department"
    },
    "claimant": {
      "name": "<string>",
      "phone_number": "<string>",
      "email": "<string>",
      "date_of_birth": "2023-12-25",
      "data": [
        {
          "id": "<string>",
          "value": "<string>",
          "name": "<string>",
          "type": "<string>",
          "required": true
        }
      ]
    },
    "meeting": {
      "id": 1234567890,
      "room_name": "Waiting Area 1",
      "room_url": "https://meet.jit.si/WaitingArea1",
      "start_date": "2021-01-30T08:30:00Z",
      "end_date": "2021-01-30T09:30:00Z"
    },
    "session_started_at": "2021-01-01T00:00:00.000Z",
    "session_ended_at": "2021-01-01T00:00:00.000Z",
    "features_call_recording_enable": true,
    "features_breakout_room_enable": true,
    "features_webcam_access_agent_enable": true,
    "features_webcam_access_claimant_enable": true,
    "features_webcam_background_blurring_enable": true,
    "features_microphone_access_enable": true,
    "features_screen_sharing_enable": true,
    "features_messages_chat_enable": true,
    "features_participant_list_enable": true,
    "features_bandwidth": "high",
    "use_custom_post_call_redirect": true,
    "custom_user_post_call_redirect_url": "https://example.com/custom-post-call-redirect",
    "custom_agent_post_call_redirect_url": "https://example.com/custom-agent-post-call-redirect"
  }
}

Authorizations

Authorization
string
header
required

Provide a Bearer Token

Path Parameters

appointment
string
required

The Uuid of the required appointment model Resource identifier as a UUID

Example:

"9a0f170e-0aa0-47db-ab14-4ddcdcbad061"

Query Parameters

_method
enum<string>

There is a bug in Laravel where using PATCH as the method when making a request will not work when submitting with a Content-Type of multipart/form-data.

To fix this, the client needs to use POST as the method and add a _method query parameter and set its value to PATCH. This will still route to the PATCH route in laravel.

Note: this is only needed for PATCH endpoints.

Available options:
PATCH

Body

application/json
appointment_at
string<date-time>

The date and time of the appointment

Example:

"2021-01-01T00:00:00.000Z"

duration_in_minutes
integer

The duration of the appointment in minutes

Example:

60

department_id
string

Resource identifier as a UUID

Example:

"9a0f170e-0aa0-47db-ab14-4ddcdcbad061"

is_interpreter_needed
boolean | null

Whether an interpreter is needed for the appointment

Example:

true

interpreter_language
string | null

The language of the interpreter

Example:

"English"

status
string | null

The status of the appointment

Example:

"waiting"

claimant
Claimant · object
features_call_recording_enable
boolean

Whether the call recording is enabled

Example:

true

features_breakout_room_enable
boolean

Whether the breakout room is enabled

Example:

true

features_webcam_access_agent_enable
boolean

Whether the webcam access for agent is enabled

Example:

true

features_webcam_access_claimant_enable
boolean

Whether the webcam access for claimant is enabled

Example:

true

features_webcam_background_blurring_enable
boolean

Whether the webcam background blurring is enabled

Example:

true

features_microphone_access_enable
boolean

Whether the microphone access is enabled

Example:

true

features_screen_sharing_enable
boolean

Whether the screen sharing is enabled

Example:

true

features_messages_chat_enable
boolean

Whether the chat messages are enabled

Example:

true

features_participant_list_enable
boolean

Whether the participant list is enabled

Example:

true

features_bandwidth
enum<string>

The bandwidth of the appointment

Available options:
low,
medium,
high
use_custom_post_call_redirect
boolean

Whether the custom post call redirect is used

Example:

true

custom_user_post_call_redirect_url
string | null

The url of the custom post call redirect

custom_agent_post_call_redirect_url
string | null

The url of the custom post call redirect for agent

Response

200 - application/json

The request has succeeded.

data
Appointment · object
required